<?php
	/**************************************************************************\
	* phpGroupWare                                                             *
	* http://www.phpgroupware.org                                              *
	* This file written by Dan Kuykendall <seek3r@phpgroupware.org>            *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/

	/* $Id: header.inc.php.template,v 1.23.2.1 2001/06/14 12:03:32 jengo Exp $ */

	/**************************************************************************\
	* !!!!!!! EDIT THESE LINES !!!!!!!!                                        *
	* This setting allows you to easily move the include directory and the     *
	* base of the phpGroupWare install. Simple edit the following 2 lines with * 
	* the absolute path to fit your site, and you should be up and running.    *
	\**************************************************************************/

	define('PHPGW_SERVER_ROOT','{SERVER_ROOT}');
	define('PHPGW_INCLUDE_ROOT','{INCLUDE_ROOT}');
	$phpgw_info['server']['header_admin_password'] = '{HEADER_ADMIN_PASSWORD}';

	$phpgw_domain['default'] = array (
		'db_host' => '{DB_HOST}', 
		'db_name' => '{DB_NAME}', 
		'db_user' => '{DB_USER}', 
		'db_pass' => '{DB_PASS}', 
		/* Look at the README file */
		'db_type' => '{DB_TYPE}',
		/* This will limit who is allowed to make configuration modifcations */
		'config_passwd' => '{CONFIG_PASS}'
	);

	/*
	** If you want to have your domains in a select box, change to True
	** If not, users will have to login as user@domain
	** Note: This is only for virtual domian support, default domain users can login only using
	** there loginid.
	*/
	$phpgw_info['server']['show_domain_selectbox'] = {DOMAIN_SELECTBOX};

	/* Select which login template set you want, most people will use default */
	$phpgw_info['login_template_set'] = 'default';

	/* This is used to control mcrypt's use */
	$phpgw_info['server']['mcrypt_enabled'] = {ENABLE_MCRYPT};
	/* Set this to "old" for versions < 2.4, otherwise the exact mcrypt version you use. */
	$phpgw_info['server']['versions']['mcrypt'] = '{MCRYPT_VERSION}';

	/*
	** This is a random string used as the initilazation vector for mcrypt
   ** feel free to change it when setting up phpgroupware on a clean database,
	** but you must not change it after that point!
	** It should be around 30 bytes in length.
   */
	$phpgw_info['server']['mcrypt_iv'] = '{MCRYPT_IV}';

	/* Uncomment this out and use this for supporting different domains using this single install */
	/* (ignore if you are only supporting a single domain)*/
/*
	$phpgw_domain['domain2.com'] = array (
		'db_host'       => 'localhost', 
		'db_name'       => 'phpgw_domain2', 
		'db_user'       => 'phpgroupware', 
		'db_pass'       => 'their_password', 
		'db_type'       => 'mysql',
		'config_passwd' => 'changeme'
	);
*/

	/* If you do not want phpGroupWare to be cached by proxy servers, uncomment the following */
	/* This is recommended, but not required. */
	//header('Cache-Control: no-cache, must-revalidate');  // HTTP/1.1
	//header('Pragma: no-cache');                          // HTTP/1.0

	/**************************************************************************\
	* Do not edit these lines                                                  *
	\**************************************************************************/
        // This is required becuase some applications (outside of phpGW) set a cookie named lang
        // Which messes up phpGWs $lang array, people will pull there hair out tring to find it.
        // This should make there life a little simpler.
        unset($lang);

	define('PHPGW_API_INC',PHPGW_INCLUDE_ROOT.'/phpgwapi/inc');
	include(PHPGW_SERVER_ROOT.'/version.inc.php');
	$phpgw_info['server']['versions']['header'] = '1.12';
	// This is a fix for NT
	if (!isset($phpgw_info['flags']['noapi']) || !$phpgw_info['flags']['noapi'] == True)
	{
		include(PHPGW_API_INC . '/functions.inc.php');
	}

	// Leave off the final php closing tag, some editors will add
	// a \n or space after which will mess up cookies later on
